﻿using Rhino.PlugIns;
using Rhino.UI;
using System;
using System.IO;
using System.Reflection;

namespace MultiLingualPanel
{
    ///<summary>
    /// <para>Every RhinoCommon .rhp assembly must have one and only one PlugIn-derived
    /// class. DO NOT create instances of this class yourself. It is the
    /// responsibility of Rhino to create an instance of this class.</para>
    /// <para>To complete plug-in information, please also see all PlugInDescription
    /// attributes in AssemblyInfo.cs (you might need to click "Project" ->
    /// "Show All Files" to see it in the "Solution Explorer" window).</para>
    ///</summary>
    public class MultiLingualPanelPlugIn : Rhino.PlugIns.PlugIn

    {
        public MultiLingualPanelPlugIn()
        {
            Instance = this;
            Panels.RegisterPanel(this, typeof(MultiLingualPanel), "MultiLingualPanel", null);
        }

        public static MultiLingualPanelPlugIn Instance { get; private set; }

    }
}